
// MainFrm.cpp : CMainFrame ʵ
//

#include "stdafx.h"
#include "TradeMonitor.h"

#include "MainFrm.h"
#include "TradeMonitorView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	ON_WM_CREATE()
	ON_COMMAND(ID_SETTING, OnSetting)
	ON_COMMAND(ID_REFRESH, OnRefresh)
END_MESSAGE_MAP()

static UINT indicators[] =
{
	ID_SEPARATOR,           // ״ָ̬ʾ
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL,
};

// CMainFrame /

CMainFrame::CMainFrame()
{
	// TODO: ڴӳԱʼ
}

CMainFrame::~CMainFrame()
{
}

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;

	if (!m_wndToolBar.CreateEx(this, TBSTYLE_FLAT, WS_CHILD | WS_VISIBLE | CBRS_TOP | CBRS_GRIPPER | CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC) ||
		!m_wndToolBar.LoadToolBar(IDR_MAINFRAME))
	{
		TRACE0("δܴ\n");
		return -1;      // δܴ
	}

	if (!m_wndStatusBar.Create(this))
	{
		TRACE0("δܴ״̬\n");
		return -1;      // δܴ
	}
	m_wndStatusBar.SetIndicators(indicators, sizeof(indicators)/sizeof(UINT));

	// TODO: Ҫͣɾ
	//m_wndToolBar.EnableDocking(CBRS_ALIGN_ANY);
	//EnableDocking(CBRS_ALIGN_ANY);
	//DockControlBar(&m_wndToolBar);

	SetTitle("v1.0");

	return 0;
}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	if( !CFrameWnd::PreCreateWindow(cs) )
		return FALSE;
	// TODO: ڴ˴ͨ޸
	//  CREATESTRUCT cs ޸Ĵʽ

	return TRUE;
}

// CMainFrame 

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}
#endif //_DEBUG


// CMainFrame Ϣ
void CMainFrame::OnSetting() 
{
	CTradeMonitorView* pView = (CTradeMonitorView*)GetActiveView();
	if (pView)
		pView->Setting();
}

void CMainFrame::OnRefresh() 
{
	CTradeMonitorView* pView = (CTradeMonitorView*)GetActiveView();
	if (pView)
		pView->Refresh();
}