#pragma once

#include "GridCtrl_src\GridCtrl.h"
#include "resource.h"

//
typedef struct _GridColumn
{
	char szText[65];//б
	unsigned int nWidth;
}SGridColumn;
//
const SGridColumn gsGridColumns[] = 
{
	{ "ID", 35},
	{"IP",	135},
	{"˿",65},
	{"ע",230}
};
const unsigned giGridColumnCount = sizeof(gsGridColumns) / sizeof(SGridColumn);
/////////////////////////////////////////////////////////////////////////////
// CSettingDialog dialog

class CSettingDialog : public CDialogEx
{
	DECLARE_DYNAMIC(CSettingDialog)
// Construction
public:
	CSettingDialog(SettingInfo* pSettingInfo, CWnd* pParent = NULL);   // standard constructor
	virtual ~CSettingDialog();

// Dialog Data
	//{{AFX_DATA(CSettingDialog)
	enum { IDD = IDD_DIALOG_SETTING };
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSettingDialog)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	virtual BOOL OnInitDialog();

	//
	CGridCtrl m_Grid;
	//
	CComboBox m_CmbSoundTip;
	CString m_strSoundTip;
	//
	SettingInfo *m_pSettingInfo;
	int m_nRefreshTime;
	//
// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSettingDialog)
	afx_msg void OnButtonItemup();
	afx_msg void OnButtonItemdown();
	afx_msg void OnSelchangeComboSoundTip();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	//ʼgridʾ
	int InitGrid();
	//
	int InitGridData();
	//
public:
	afx_msg void OnBnClickedButtonAdd();
	afx_msg void OnBnClickedButtonDel();
};
