
// TradeMonitorView.cpp : CTradeMonitorView ʵ
//

#include "stdafx.h"
// SHARED_HANDLERS ʵԤͼɸѡ
// ATL Ŀнж壬Ŀĵ롣
#ifndef SHARED_HANDLERS
#include "TradeMonitor.h"
#endif

#include "TradeMonitorDoc.h"
#include "TradeMonitorView.h"
#include "MemDC.h"
#include "SettingDialog.h"
#include <io.h>
#include <mmsystem.h>
#pragma comment(lib, "winmm.lib")

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CTradeMonitorView

IMPLEMENT_DYNCREATE(CTradeMonitorView, CView)

BEGIN_MESSAGE_MAP(CTradeMonitorView, CView)
	// ׼ӡ
	ON_COMMAND(ID_FILE_PRINT, &CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, &CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, &CView::OnFilePrintPreview)
	ON_WM_PAINT()
	ON_WM_CREATE()
	ON_WM_TIMER()
	ON_MESSAGE(WM_CLIENT, Client)
END_MESSAGE_MAP()

// CTradeMonitorView /

#define TIMER_ID 1000

CTradeMonitorView::CTradeMonitorView()
{
	// TODO: ڴ˴ӹ

	//
	LoadSetting(m_SettingInfo);

	m_pfSongTi = GetFont(_T(""), 11);
	m_pfSystem = GetFont(_T("System"), 11);
}

CTradeMonitorView::~CTradeMonitorView()
{
	
}

BOOL CTradeMonitorView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: ڴ˴ͨ޸
	//  CREATESTRUCT cs ޸Ĵʽ

	return CView::PreCreateWindow(cs);
}

// CTradeMonitorView 

void CTradeMonitorView::OnDraw(CDC* /*pDC*/)
{
	CTradeMonitorDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	// TODO: ڴ˴Ϊӻƴ
}


// CTradeMonitorView ӡ

BOOL CTradeMonitorView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// Ĭ׼
	return DoPreparePrinting(pInfo);
}

void CTradeMonitorView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: ӶĴӡǰеĳʼ
}

void CTradeMonitorView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: Ӵӡе
}


// CTradeMonitorView 

#ifdef _DEBUG
void CTradeMonitorView::AssertValid() const
{
	CView::AssertValid();
}

void CTradeMonitorView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CTradeMonitorDoc* CTradeMonitorView::GetDocument() const // ǵ԰汾
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CTradeMonitorDoc)));
	return (CTradeMonitorDoc*)m_pDocument;
}
#endif //_DEBUG


// CTradeMonitorView Ϣ
int CTradeMonitorView::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CView::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	m_ImageList.Create(IDB_BITMAP_STATUS, 16, 2, RGB(255,255,255));
	
	return 0;
}

//CImageListлȡCBitmap
void GetListImage(CImageList &ImageList, CBitmap &Bitmap, int nImageIdx)
{   
	CClientDC   dcClient(NULL);

	IMAGEINFO   ImageInfo;
	ImageList.GetImageInfo(nImageIdx, &ImageInfo);
	int   nWidth  = abs(ImageInfo.rcImage.right - ImageInfo.rcImage.left);
	int   nHeight = abs(ImageInfo.rcImage.bottom - ImageInfo.rcImage.top);
	Bitmap.CreateCompatibleBitmap(&dcClient, nWidth, nHeight);
	CDC         dcMemory;
	dcMemory.CreateCompatibleDC((CDC*)NULL) ;
	CBitmap  *  pBmpOld = dcMemory.SelectObject(&Bitmap);
	dcMemory.FillSolidRect(0, 0, nWidth, nHeight, RGB(255,255,255));
	ImageList.Draw(&dcMemory, nImageIdx, CPoint(0,0), ILD_NORMAL);
	dcMemory.SelectObject(pBmpOld);
	dcMemory.DeleteDC();
	::DeleteObject( ImageInfo.hbmImage );
	::DeleteObject( ImageInfo.hbmMask );
}

void CTradeMonitorView::DrawMonitorArea(CLightCanvas& canvas, CRect rect, const IPInfo& info)
{
	//ԲǾ
	SIZE size = {4, 4};
	if (info.status == Offline)
	{
		canvas.DrawRoundRect(rect, size, COLOR_TRANSPARENT, RGB(255, 0, 0));
		canvas.SetTextColor(RGB(255, 255, 255));
	}
	else
	{
		canvas.DrawRoundRect(rect, size, RGB(100, 100, 100));
		canvas.SetTextColor(RGB(60, 60, 60));
	}

	// IP:˿
	rect.DeflateRect(8, 6, 0, 0);
	CString ipStr;
	ipStr.Format("%s:%d", info.ip.c_str(), info.port);
	canvas.DrawText(ipStr, &rect, DT_LEFT | DT_TOP | DT_SINGLELINE, m_pfSystem);

	//ͼ
	rect.DeflateRect(18, 20, 0, 0);
	int nIndex = -1;
	switch (info.status)
	{
	case Connecting:
		nIndex = 4;
		break;
	case Online:
		nIndex = 6;
		break;
	case Offline:
		nIndex = 7;
		break;
	default:
		break;
	}
	CBitmap bitmap;
	GetListImage(m_ImageList, bitmap, nIndex);
	BITMAP bm;
	bitmap.GetBitmap(&bm);
	canvas.DrawBitmap(rect.left - 18, rect.top, bm.bmWidth, bm.bmHeight, &bitmap);
	//ϸ״̬
	canvas.DrawText(info.msg.c_str(), &rect, DT_LEFT | DT_TOP | DT_SINGLELINE, m_pfSongTi);

	rect.left -= 15;
	rect.top += 25;
	//ʾע
	canvas.DrawText(info.remark.c_str(), &rect, DT_LEFT | DT_TOP | DT_WORDBREAK | DT_EDITCONTROL, m_pfSongTi);
}

void CTradeMonitorView::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;
	}
	else
	{
		CPaintDC dc(this);
		CMyMemDC MemDC(&dc);
		CLightCanvas canvas(MemDC);
		canvas.SetBkMode();

		CRect rect;
		GetClientRect(&rect);

		// ɫ
		canvas.DrawRect(rect, RGB(255, 255, 255), RGB(255, 255, 255));

		CRect rect1(10, 10, 200, 120);
		for(auto it = m_SettingInfo.vecIPInfo.begin(); it != m_SettingInfo.vecIPInfo.end(); it++)
		{
			//ʾ
			DrawMonitorArea(canvas, rect1, *it);
			rect1.left += 200;
			rect1.right += 200;

			if (rect1.right > rect.right)
			{
				rect1.top += 120;
				rect1.bottom += 120;
				rect1.left = 10;
				rect1.right = 200;
			}
		}
	}
}

void CTradeMonitorView::OnInitialUpdate() 
{
	CView::OnInitialUpdate();

	Refresh();

	//ʱˢ
	SetTimer(TIMER_ID, 1000 * m_SettingInfo.nRefreshTime, NULL);
}

void CTradeMonitorView::Setting() 
{
	CSettingDialog dlg(&m_SettingInfo);
	if(dlg.DoModal() == IDOK)
	{
		Refresh();
		//öʱ
		KillTimer(TIMER_ID);
		SetTimer(TIMER_ID, 1000 * m_SettingInfo.nRefreshTime, NULL);
	}
}

//ˢ
void CTradeMonitorView::Refresh() 
{
	for(auto it = m_SettingInfo.vecIPInfo.begin(); it != m_SettingInfo.vecIPInfo.end(); it++)
	{
		if (it->pSocket && it->status != Connecting)
		{
			//ͷ
			delete it->pSocket;
			it->pSocket = NULL;
		}
		//
		it->ResetConnect();
		Connect(it->ip.c_str(), it->port, *it);
	}

	Invalidate();
}

bool CTradeMonitorView::Connect(CString addr, int port,  IPInfo& info)
{
    char *err = NULL;
    info.pSocket = new Socket;

    if (err = info.pSocket->Create(AF_INET, SOCK_STREAM, IPPROTO_IP)) {
		::MessageBox(this->m_hWnd, err, "Error.", MB_OK | MB_ICONHAND);
        return false;
    }
    if (err = info.pSocket->Select(this->m_hWnd, WM_CLIENT, FD_CONNECT | FD_CLOSE)) {
        ::MessageBox(this->m_hWnd, err, "Error.", MB_OK | MB_ICONHAND);
        return false;
    }
    if (err = info.pSocket->Connect(addr, (WORD)port)) {
        ::MessageBox(this->m_hWnd, err, "Error.", MB_OK | MB_ICONHAND);
        return false;
    }

 //   int m_port = pSock->getport();
 //   CString m_hostname = pSock->gethostname();
 //   CString m_ipaddr = pSock->getaddr();
	//CString str;
 //   str.Format("[%s]%s/%d", m_ipaddr, m_hostname, m_port);

    return true;
}

//telnetص
LRESULT CTradeMonitorView::Client(WPARAM wParam, LPARAM lParam)
{
    int len = 0;
    CString sbuff;

	SOCKET s = wParam;

    switch (LOWORD(lParam)) {
    case FD_CONNECT:
		{			
			ServerStatus Status = Online;
			CString strMsg = "";
            if (HIWORD(lParam)) {        //error
                    WSASetLastError(HIWORD(lParam));
					Status = Offline;
					strMsg = Socket::GetError();

					//ʾ
					PlaySoundTip();
            }

			for(auto it = m_SettingInfo.vecIPInfo.begin(); it != m_SettingInfo.vecIPInfo.end(); it++)
			{
				if (it->pSocket->getSock() == s)
				{
					it->status = Status;
					it->msg = strMsg;
					break;
				}
			}
		}

        break;

    case FD_CLOSE:
        //m_State = "Ͽ";
		//m_Status = Offline;
        if (HIWORD(lParam)) {
                //pEdit->SetSel(pEdit->GetWindowTextLength(), pEdit->GetWindowTextLength());
                WSASetLastError(HIWORD(lParam));
                //pEdit->ReplaceSel("\r\n\r\n" + CString(m_cSock->GetError()));
        }
            
		//ͷ
		if (s)
			closesocket(s);
        break;
    }

	Invalidate();

    return 0;
}

CWinThread* m_pSoundPlayThread;

UINT SoundPlayThreadFunc(LPVOID lpParameter)
{
	SettingInfo* pSettingInfo = (SettingInfo*)lpParameter;
	if (pSettingInfo->nSoundTip == 1)
	{
		Beep(800,500);
	} 
	else
	{
		sndPlaySound(pSettingInfo->SoundFile.c_str(), SND_ASYNC);
	}
	
	return 0;
}

void CTradeMonitorView::PlaySoundTip()
{
	if (m_SettingInfo.nSoundTip == 0)//ʾ
		return;

	m_pSoundPlayThread = AfxBeginThread(SoundPlayThreadFunc, &m_SettingInfo);
	if (!m_pSoundPlayThread)
	{
		AfxMessageBox("ʾʧܣ");
	}
}

void CTradeMonitorView::OnTimer(UINT_PTR nIDEvent)
{
	switch (nIDEvent)
	{
	case TIMER_ID:
		{
			Refresh();
		}
		break;
	default:
		break;
	}
}