
// TradeMonitorView.h : CTradeMonitorView Ľӿ
//

#pragma once
#include "TradeMonitorDoc.h"
#include "LightCanvas.hpp"


class CTradeMonitorView : public CView
{
protected: // л
	CTradeMonitorView();
	DECLARE_DYNCREATE(CTradeMonitorView)

// 
public:
	CTradeMonitorDoc* GetDocument() const;

// 
public:

// д
public:
	virtual void OnDraw(CDC* pDC);  // дԻƸͼ
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// ʵ
public:
	virtual ~CTradeMonitorView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	void Setting();
	void Refresh();

protected:
	afx_msg void OnPaint();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg LRESULT Client(WPARAM, LPARAM);
	afx_msg void OnTimer(UINT_PTR nIDEvent);

	virtual void OnInitialUpdate();

// ɵϢӳ亯
protected:
	DECLARE_MESSAGE_MAP()

private:
	bool Connect(CString, int, IPInfo&);
	void DrawMonitorArea(CLightCanvas& canvas, CRect rect, const IPInfo& info);
	void PlaySoundTip();

	CImageList m_ImageList;
	SettingInfo m_SettingInfo;

	CFont *m_pfSongTi;
	CFont *m_pfSystem;

private:
	///ȡ(height,weight,»ߣбǶ)
	inline CFont* GetFont(LPCTSTR lpszFace, int nHeight, int nWeight = FW_NORMAL, BOOL bUnderline = FALSE, int fEscapement = 0)
	{
		HDC hDC = ::GetWindowDC(NULL);

		// ʹ PX ᾫȷ߶ȣֺת߶
		//nFontHeight = nPX;
		int nFontHeight = -MulDiv(nHeight, GetDeviceCaps(hDC, LOGPIXELSY), 72);

		CFont* pf = new CFont();
		pf->CreateFont(
			nFontHeight,					// int nHeight
			0,								// int nWidth
			(int)fEscapement,				// int nEscapement
			0,								// int nOrientation
			nWeight,						// int nWeight (FW_NORMAL, FW_REGULAR, FW_BOLD)
			FALSE,							// BYTE bItalic (TRUE, FALSE)
			bUnderline,						// BYTE bUnderline (TRUE, FALSE)
			FALSE,							// BYTE cStrikeOut (TRUE, FALSE)
			DEFAULT_CHARSET,				// BYTE nCharSet (ANSI_CHARSET, DEFAULT_CHARSET)
			OUT_TT_PRECIS,					// BYTE nOutPrecision (OUT_DEVICE_PRECIS, OUT_RASTER_PRECIS, OUT_TT_PRECIS)
			CLIP_TT_ALWAYS,					// BYTE nClipPrecision (CLIP_TT_ALWAYS)
			PROOF_QUALITY,					// BYTE nQuality (DEFAULT_QUALITY, DRAFT_QUALITY, PROOF_QUALITY)
			DEFAULT_PITCH | TMPF_TRUETYPE,	// BYTE nPitchAndFamily (DEFAULT_PITCH, VARIABLE_PITCH, FIXED_PITCH | TMPF_TRUETYPE)
			lpszFace						// LPCTSTR lpszFacename (_GB2312, , _GB2312, , , , Բ)
			);
	
		::ReleaseDC(NULL, hDC);

		return pf;
	}
};

#ifndef _DEBUG  // TradeMonitorView.cpp еĵ԰汾
inline CTradeMonitorDoc* CTradeMonitorView::GetDocument() const
   { return reinterpret_cast<CTradeMonitorDoc*>(m_pDocument); }
#endif

